WoltLab Suite 5.4 Released

    • Official Post

    We're pleased to announce the release of the WoltLab Suite 5.4, consisting of the powerful Core package and our 5 modular apps that enrich your community.


    A major change of this version is the complete overhaul of the session system, finally enabling us to securely integrate multi-factor authentication ("MFA") into our software. You can now secure the access to the sensitive accounts and the admin panel by optionally requiring a secondary factor, for example an authenticator app, to successfully log in.

    New Plugin: U2F / WebAuthn

    This new plugin extends the newly introduced multi-factor authentication by offering both biometric authentication (for example, Touch ID and Face ID) and the support for hardware tokens (via USB, for example, YubiKey).


    WebP Images and Improved Page Load Speed

    There have been multiple changes to modernize the technical pieces and we are now rolling out the support for WebP graphic. WebP is a superior graphics format that offers great reductions in file sizes versus JPEG and PNG while preserving the visual quality. Together with multiple further optimizations, we were able to improve the performance in critical tests such as the Lighthouse test which contributes towards the ranking in Google search.

    New Features & Improvements in WoltLab Suite 5.4

    We have showcased other improvements in our blog. Please take your time to learn about the new features that this version has in store:

    Upgrading from WoltLab Suite 5.3

    Please follow the instructions in our manual on running the upgrade through the admin panel:
    https://manual.woltlab.com/en/updates/

    • Official Post

    WoltLab Suite Core 5.4.1

    • The WebP support for ImageMagick is no longer validated, if the GD graphics library is selected.
    • Resolved an issue with a legacy database table that failed to be removed.

    Installations Affected by the WebP Validation for ImageMagick

    Please disable the upgrade to 5.4 and run the search for updates again. This will update your installation to WoltLab Suite 5.3.12 which includes another part of this fix. Afterwards you can enable the upgrade again and proceed as intended.